function Bomb(x, y, friendly) {
	var animation = new Animation((friendly ? Loader.bomb : Loader.bomb_enemy), 3, 0, 0, 32, 32);
	MovableEntity.call(this, "Bomb", animation, x, y, 32, 32);
	animation.play(10);
	this.gravity = true;
	this.rotationSpeed = 3;
	this.bounces = 0;
	this.bounciness = 0.5;
	this.bounceRandom = false;
	this.friendly = friendly;
	
	this.horMode = EDGE_WRAP;
	this.topMode = EDGE_NONE;
	this.bottomMode = EDGE_NONE;
};
Bomb.prototype = Object.create(MovableEntity.prototype);
Bomb.prototype.update = function(entities) {
	MovableEntity.prototype.update.call(this, entities);
	
	this.rotation += this.rotationSpeed;
	
	if (this.y + this.h / 2 > SCREEN_HEIGHT) {
		if (this.bounces > 0) {
			this.y -= this.ysp * 1.1;
			this.ysp = -this.ysp * this.bounciness;
			this.bounces--;
			if (this.bounceRandom) {
				if (Math.random() > 0.5) {
					this.xsp = -this.xsp;
				}
			}
		} else {
			EntityManager.addEntity(new Explosion(this.x, this.y, 2));
			EntityManager.kill(this);
		}
	}
	
	for (var i = 0; i < entities.length; i++) {
		var other = entities[i];
		if (this == other) continue;
		if (this.collideWith(other)) {
			if (other.name === "Plane" && this.friendly != other.friendly) {
				EntityManager.addEntity(new Explosion(other.x, other.y, 2));
				EntityManager.kill(other);
				
				EntityManager.addEntity(new Explosion(this.x, this.y, 2));
				EntityManager.kill(this);
			}
		}
	}
};