function EnemyPlane(x, y) {
	Plane.call(this, Loader.paper_plane_enemy, x, y);
	
	this.friendly = false;
	this.rotation = 180 + 40;

	this.gun.projectile.speed = 10;
	this.gun.maxCooldown = 90;
	
	this.jobs = {
		speedup: {
			minTime: 0.2,
			maxTime: 0.6
		},
		liftup: {
			
		},
		falldown: {
			
		},
		attack: {
			target: undefined
		},
		powerup: {
			target: undefined
		}
	};
	this.currentJob = this.jobs.speedup;
};
EnemyPlane.prototype = Object.create(Plane.prototype);
EnemyPlane.prototype.update = function(entities) {
	if (!this.started) return;
	
	Plane.prototype.update.call(this, entities);
	
	var closestPowerup = EntityManager.getClosestEntityByName(this, "Loot");
	var closestPlant = EntityManager.getClosestEntityByName(this, "Plant");
	var closestPlayer = EntityManager.getClosestEntityByName(this, "Plane", {friendly:!this.friendly});
	var canTargetPowerup = (closestPowerup != undefined);
	var canTargetPlant = (closestPlant != undefined);
	var canTargetPlayer = (closestPlayer != undefined);
	
	var targetPowerup = true;
	if (canTargetPowerup && canTargetPlayer) {
		if (this.distanceTo(closestPlayer) < this.distanceTo(closestPowerup)) {
			targetPowerup = false;
		}
	}
	var targetPlant = true;
	if (canTargetPlant && canTargetPlayer) {
		if (this.distanceTo(closestPlayer) < this.distanceTo(closestPlant)) {
			targetPlant = false;
		}
	}
	
	if (this.speed < 2) {
		this.currentJob = this.jobs.speedup;
	} else if (SCREEN_HEIGHT - this.y < 180) {
		this.currentJob = this.jobs.liftup;
	} else if (this.y < 180) {
		this.currentJob = this.jobs.falldown;
	} else if (canTargetPowerup && targetPowerup) {
		this.currentJob = this.jobs.powerup;
		this.currentJob.target = closestPowerup;
	} else if (canTargetPlant && targetPlant) {
		this.currentJob = this.jobs.powerup;
		this.currentJob.target = closestPlant;
	} else if (canTargetPlayer) {
		this.currentJob = this.jobs.attack;
		this.currentJob.target = closestPlayer;
	}
	
	if (this.currentJob == this.jobs.speedup || this.currentJob == this.jobs.falldown) {
		if (this.rotation > 90 && this.rotation < 270) {
			this.rotateLeft();
		} else {
			this.rotateRight();
		}
	} else if (this.currentJob == this.jobs.liftup) {
		if (this.rotation > 90 && this.rotation < 270) {
			this.rotateRight();
		} else {
			this.rotateLeft();
		}
	} else if (this.currentJob == this.jobs.powerup) {
		if (this.currentJob.target != undefined) {
			this.rotateTowards(this.currentJob.target);
		}
	} else if (this.currentJob == this.jobs.attack) {
		if (this.currentJob.target != undefined) {
			this.rotateTowards(this.currentJob.target);
			this.shoot();
		}
	}
};