function Loot(power) {
	var rx = (Math.random() * (SCREEN_WIDTH - 32)) + 16;
	MovableEntity.call(this, "Loot", Loader.loot, rx, -24, 24, 24);
	this.ysp = 1.8;
	this.gravity = false;
	this.falling = true;
	
	this.topMode = EDGE_NONE;
	this.bottomMode = EDGE_STOP;
	
	this.gradients = [
		"#FE080D",
		"#FE9307",
		"#FEF506",
		"#41C903",
		"#2AC3FC",
		"#0225F3",
		"#5630C3"
	];
	this.gradientCounter = 0;
	this.gradientShiftSpeed = 180;
	
	if (power == undefined) {
		var roll = Math.floor(Math.random() * 4);
		switch (roll) {
			case 0:
				power = {speed: 0.4};
				break;
			case 1:
				power = {rotationSpeed: 0.185};
				break;
			case 2:
				power = {gunMaxCooldown: -3};
				break;
			case 3:
				power = {gunSpread: 1};
				break;
			default:
				power = {};
		}
	}
	this.power = power;
};
Loot.prototype = Object.create(MovableEntity.prototype);
Loot.prototype.update = function(entities) {
	if (this.gradientCounter < this.gradientShiftSpeed) {
		this.gradientCounter++;
	} else {
		this.gradientCounter = 0;
	}
	
	if (!this.falling) return;
	
	MovableEntity.prototype.update.call(this, entities);
	
	if (this.y + this.h / 2 > SCREEN_HEIGHT) {
		this.falling = false;
	}
	
	for (var i = 0; i < entities.length; i++) {
		var other = entities[i];
		if (this == other) continue;
		if (this.collideWith(other)) {
			if (other.name === "Furniture") {
				this.falling = false;
			}
		}
	}
};
Loot.prototype.render = function(ctx) {
	MovableEntity.prototype.render.call(this, ctx);
	
	ctx.globalCompositeOperation = "multiply";
	
	var bx = this.x - this.w / 2;
	var grd = ctx.createLinearGradient(bx, 0, bx + this.w, 0);
	
	var grdOffset = this.gradientCounter / this.gradientShiftSpeed;
	
	var gradientPart = 1 / this.gradients.length;
	for (var i = 0; i < this.gradients.length; i++) {
		var gradientStop = gradientPart * i + grdOffset;
		if (gradientStop > 1) gradientStop -= Math.floor(gradientStop);
		grd.addColorStop(gradientStop, this.gradients[i]);
	}
	ctx.fillStyle = grd;
	ctx.fillRect(bx + 1, this.y - this.h / 2 + 1, this.w - 2, this.h - 2);
	
	ctx.globalCompositeOperation = "source-over";
};