function Missile(x, y, speed, friendly) {
	MovableEntity.call(this, "Missile", (friendly ? Loader.missile : Loader.missile_enemy), x, y, 40, 10);
	this.friendly = friendly;
	this.speed = speed;
	this.rotationSpeed = 3;
	this.calibrationTime = 180;
	this.trackLife = 420;
	this.target = undefined;
	this.ysp = -6;
	this.gravity = true;
	this.hasTrack = true;
	
	this.horMode = EDGE_WRAP;
	this.topMode = EDGE_NONE;
	this.bottomMode = EDGE_KILL_EXPLOSION;
};
Missile.prototype = Object.create(MovableEntity.prototype);
Missile.prototype.update = function(entities) {
	if (this.calibrationTime > 0) {
		this.calibrationTime--;
		this.rotation += 16;
	} else {
		this.calibrationTime--;
		
		this.target = EntityManager.getClosestEntityByName(this, "Plane", {friendly:!this.friendly});
		this.gravity = false;
	}
	
	MovableEntity.prototype.update.call(this, entities);
	
	if (this.target != undefined) {
		if (this.trackLife > 0) {
			this.trackLife--;
		} else {
			if (this.hasTrack) {
				this.hasTrack = false;
				this.horMode = EDGE_KILL_EXPLOSION;
				this.topMode = EDGE_KILL_EXPLOSION;
				this.bottomMode = EDGE_KILL_EXPLOSION;
			}
		}
		
		if (this.hasTrack) {
			this.rotateTowards(this.target, this.rotationSpeed);
			this.setForwardSpeed(this.speed);
			
			for (var i = 0; i < entities.length; i++) {
				var other = entities[i];
				if (this == other) continue;
				if (this.collideWith(other)) {
					if (other.name === "Plane" && this.friendly != other.friendly) {
						EntityManager.addEntity(new Explosion(other.x, other.y, 2));
						EntityManager.kill(other);
						
						EntityManager.addEntity(new Explosion(this.x, this.y, 2));
						EntityManager.kill(this);
					}
				}
			}
		}
	}
};