function Plant(x, y) {
	MovableEntity.call(this, "Plant", Loader.plant, x, y, 32, 32)
	this.gravity = false;
	this.gravityScale = 0.3;
	this.rotationSpeed = 0;
	
	this.lastHitter = undefined;
	
	this.horMode = EDGE_WRAP;
	this.topMode = EDGE_KILL_DISCRETE;
	this.bottomMode = EDGE_KILL_DISCRETE;
	var self = this;
	this.addOnKill(function() {
		var ySpawn = self.y + (self.y < SCREEN_HEIGHT / 2 ? 16 : -16);
		if (Math.random() > 0.5) {
			for (var i = 0; i < 2; i++) {
				var bomb = new Bomb(self.x, ySpawn, self.lastHitter.friendly);
				bomb.xsp = -2 + (Math.random() * 4);
				bomb.ysp = -(7 + Math.random() * 2);
				bomb.bounces = 2;
				bomb.bounciness = 0.75;
				bomb.bounceRandom = true;
				EntityManager.addEntity(bomb);
			}
		} else {
			var missile = new Missile(self.x, ySpawn, 2.5, self.lastHitter.friendly);
			EntityManager.addEntity(missile);
		}
	});
};
Plant.prototype = Object.create(MovableEntity.prototype);
Plant.prototype.update = function(entities) {
	MovableEntity.prototype.update.call(this, entities);
	
	this.rotation += this.rotationSpeed;
	if (this.rotationSpeed > 0.02) {
		this.rotationSpeed -= 0.01;
	} else if (this.rotationSpeed < -0.02) {
		this.rotationSpeed += 0.01;
	}
	
	for (var i = 0; i < entities.length; i++) {
		var other = entities[i];
		if (this == other) continue;
		if (this.collideWith(other)) {
			if (other.name === "Plane") {
				if ((this.lastHitter == undefined) || (this.lastHitter.friendly != other.friendly)) {
					this.gravity = true;
					this.lastHitter = other;
					if (this.ysp < -2) {
						this.ysp -= 2;
					} else {
						this.ysp = -2;
					}
					this.xsp = other.xsp / 6;
					//this.xsp = (Math.abs(other.xsp) / 6) * (this.x < SCREEN_WIDTH / 2 ? 1 : - 1);
					this.rotationSpeed += (other.rotation - 180) / 60;
					this.img = (this.lastHitter.friendly ? Loader.plant : Loader.plant_enemy);
				}
			}
		}
	}
};